### Method

# GnomeCmd FileMetadataExtractor class_name

#### Declaration

    gchar*
    gnome_cmd_file_metadata_extractor_class_name (
      GnomeCmdFileMetadataExtractor* fme,
      const gchar* cls
    )

#### Description

Returns a human readable, localized name of a tag class.

#### Parameters

`cls`

  Type: `const gchar*`

  A tag class.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gchar*`

A name of a class.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.